package com.ruoyi.generator.domain.Community;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.Date;

/**
* 
* @TableName community_tag
*/
@Data
@TableName("community_tag")
public class CommunityTag implements Serializable {

    /**
    * 标签id
    */
    @NotNull(message="[标签id]不能为空")
    @ApiModelProperty("标签id")
    @TableId("id")
    private Long id;
    /**
    * 标签名称
    */
    @NotBlank(message="[标签名称]不能为空")
    @Size(max= 255,message="编码长度不能超过255")
    @ApiModelProperty("标签名称")
    @Length(max= 255,message="编码长度不能超过255")
    private String tagName;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    private Long createBy;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    private Date createTime;
    /**
    * 更新人
    */
    @ApiModelProperty("更新人")
    private Long updateBy;
    /**
    * 更新时间
    */
    @ApiModelProperty("更新时间")
    private Date updateTime;

}
